diff --git a/doc/guides/rel_notes/release_21_11.rst b/doc/guides/rel_notes/release_21_11.rst
index 8da19c613a..ce47250fbd 100644
--- a/doc/guides/rel_notes/release_21_11.rst
+++ b/doc/guides/rel_notes/release_21_11.rst
@@ -559,6 +559,9 @@ API Changes
 * fib: Added the ``rib_ext_sz`` field to ``rte_fib_conf`` and ``rte_fib6_conf``
   so that user can specify the size of the RIB extension inside the FIB.
 
+* ip_frag: All macros updated to have ``RTE_IP_FRAG_`` prefix. Obsolete
+  macros are removed. DPDK components updated to use new names.
+
 
 ABI Changes
 -----------
diff --git a/examples/ip_reassembly/main.c b/examples/ip_reassembly/main.c
index 547b47276e..fb3cac3bd0 100644
--- a/examples/ip_reassembly/main.c
+++ b/examples/ip_reassembly/main.c
@@ -371,7 +371,7 @@ reassemble(struct rte_mbuf *m, uint16_t portid, uint32_t queue,
 		eth_hdr->ether_type = rte_be_to_cpu_16(RTE_ETHER_TYPE_IPV4);
 	} else if (RTE_ETH_IS_IPV6_HDR(m->packet_type)) {
 		/* if packet is IPv6 */
-		struct ipv6_extension_fragment *frag_hdr;
+		struct rte_ipv6_fragment_ext *frag_hdr;
 		struct rte_ipv6_hdr *ip_hdr;
 
 		ip_hdr = (struct rte_ipv6_hdr *)(eth_hdr + 1);
diff --git a/examples/ipsec-secgw/ipsec-secgw.c b/examples/ipsec-secgw/ipsec-secgw.c
index 0a1c5bcaaa..86bb7e9064 100644
--- a/examples/ipsec-secgw/ipsec-secgw.c
+++ b/examples/ipsec-secgw/ipsec-secgw.c
@@ -2647,7 +2647,7 @@ rx_callback(__rte_unused uint16_t port, __rte_unused uint16_t queue,
 				rte_cpu_to_be_16(RTE_ETHER_TYPE_IPV6)) {
 
 			struct rte_ipv6_hdr *iph;
-			struct ipv6_extension_fragment *fh;
+			struct rte_ipv6_fragment_ext *fh;
 
 			iph = (struct rte_ipv6_hdr *)(eth + 1);
 			fh = rte_ipv6_frag_get_ipv6_fragment_header(iph);
diff --git a/lib/ip_frag/rte_ip_frag.h b/lib/ip_frag/rte_ip_frag.h
index b469bb5f4e..0782ba45d6 100644
--- a/lib/ip_frag/rte_ip_frag.h
+++ b/lib/ip_frag/rte_ip_frag.h
@@ -27,22 +27,19 @@ extern "C" {
 
 struct rte_mbuf;
 
-#define IP_FRAG_DEATH_ROW_LEN 32 /**< death row size (in packets) */
+#define RTE_IP_FRAG_DEATH_ROW_LEN 32 /**< death row size (in packets) */
 
 /* death row size in mbufs */
-#define IP_FRAG_DEATH_ROW_MBUF_LEN \
-	(IP_FRAG_DEATH_ROW_LEN * (RTE_LIBRTE_IP_FRAG_MAX_FRAG + 1))
+#define RTE_IP_FRAG_DEATH_ROW_MBUF_LEN \
+	(RTE_IP_FRAG_DEATH_ROW_LEN * (RTE_LIBRTE_IP_FRAG_MAX_FRAG + 1))
 
 /** mbuf death row (packets to be freed) */
 struct rte_ip_frag_death_row {
 	uint32_t cnt;          /**< number of mbufs currently on death row */
-	struct rte_mbuf *row[IP_FRAG_DEATH_ROW_MBUF_LEN];
+	struct rte_mbuf *row[RTE_IP_FRAG_DEATH_ROW_MBUF_LEN];
 	/**< mbufs to be freed */
 };
 
-/* struct ipv6_extension_fragment moved to librte_net/rte_ip.h and renamed. */
-#define ipv6_extension_fragment	rte_ipv6_fragment_ext
-
 /**
  * Create a new IP fragmentation table.
  *
@@ -128,7 +125,7 @@ rte_ipv6_fragment_packet(struct rte_mbuf *pkt_in,
 struct rte_mbuf *rte_ipv6_frag_reassemble_packet(struct rte_ip_frag_tbl *tbl,
 		struct rte_ip_frag_death_row *dr,
 		struct rte_mbuf *mb, uint64_t tms, struct rte_ipv6_hdr *ip_hdr,
-		struct ipv6_extension_fragment *frag_hdr);
+		struct rte_ipv6_fragment_ext *frag_hdr);
 
 /**
  * Return a pointer to the packet's fragment header, if found.
@@ -141,11 +138,11 @@ struct rte_mbuf *rte_ipv6_frag_reassemble_packet(struct rte_ip_frag_tbl *tbl,
  *   Pointer to the IPv6 fragment extension header, or NULL if it's not
  *   present.
  */
-static inline struct ipv6_extension_fragment *
+static inline struct rte_ipv6_fragment_ext *
 rte_ipv6_frag_get_ipv6_fragment_header(struct rte_ipv6_hdr *hdr)
 {
 	if (hdr->proto == IPPROTO_FRAGMENT) {
-		return (struct ipv6_extension_fragment *) ++hdr;
+		return (struct rte_ipv6_fragment_ext *) ++hdr;
 	}
 	else
 		return NULL;
diff --git a/lib/ip_frag/rte_ip_frag_common.c b/lib/ip_frag/rte_ip_frag_common.c
index 6b29e9d7ed..8580ffca5e 100644
--- a/lib/ip_frag/rte_ip_frag_common.c
+++ b/lib/ip_frag/rte_ip_frag_common.c
@@ -135,7 +135,8 @@ rte_frag_table_del_expired_entries(struct rte_ip_frag_tbl *tbl,
 	TAILQ_FOREACH(fp, &tbl->lru, lru)
 		if (max_cycles + fp->start < tms) {
 			/* check that death row has enough space */
-			if (IP_FRAG_DEATH_ROW_MBUF_LEN - dr->cnt >= fp->last_idx)
+			if (RTE_IP_FRAG_DEATH_ROW_MBUF_LEN - dr->cnt >=
+					fp->last_idx)
 				ip_frag_tbl_del(tbl, dr, fp);
 			else
 				return;
diff --git a/lib/ip_frag/rte_ipv6_fragmentation.c b/lib/ip_frag/rte_ipv6_fragmentation.c
index 5d67336f2d..88f29c158c 100644
--- a/lib/ip_frag/rte_ipv6_fragmentation.c
+++ b/lib/ip_frag/rte_ipv6_fragmentation.c
@@ -22,13 +22,13 @@ __fill_ipv6hdr_frag(struct rte_ipv6_hdr *dst,
 		const struct rte_ipv6_hdr *src, uint16_t len, uint16_t fofs,
 		uint32_t mf)
 {
-	struct ipv6_extension_fragment *fh;
+	struct rte_ipv6_fragment_ext *fh;
 
 	rte_memcpy(dst, src, sizeof(*dst));
 	dst->payload_len = rte_cpu_to_be_16(len);
 	dst->proto = IPPROTO_FRAGMENT;
 
-	fh = (struct ipv6_extension_fragment *) ++dst;
+	fh = (struct rte_ipv6_fragment_ext *) ++dst;
 	fh->next_header = src->proto;
 	fh->reserved = 0;
 	fh->frag_data = rte_cpu_to_be_16(RTE_IPV6_SET_FRAG_DATA(fofs, mf));
@@ -94,7 +94,7 @@ rte_ipv6_fragment_packet(struct rte_mbuf *pkt_in,
 	 */
 
 	frag_size = mtu_size - sizeof(struct rte_ipv6_hdr) -
-		sizeof(struct ipv6_extension_fragment);
+		sizeof(struct rte_ipv6_fragment_ext);
 	frag_size = RTE_ALIGN_FLOOR(frag_size, RTE_IPV6_EHDR_FO_ALIGN);
 
 	/* Check that pkts_out is big enough to hold all fragments */
@@ -124,9 +124,9 @@ rte_ipv6_fragment_packet(struct rte_mbuf *pkt_in,
 
 		/* Reserve space for the IP header that will be built later */
 		out_pkt->data_len = sizeof(struct rte_ipv6_hdr) +
-			sizeof(struct ipv6_extension_fragment);
+			sizeof(struct rte_ipv6_fragment_ext);
 		out_pkt->pkt_len  = sizeof(struct rte_ipv6_hdr) +
-			sizeof(struct ipv6_extension_fragment);
+			sizeof(struct rte_ipv6_fragment_ext);
 		frag_bytes_remaining = frag_size;
 
 		out_seg_prev = out_pkt;
@@ -184,7 +184,7 @@ rte_ipv6_fragment_packet(struct rte_mbuf *pkt_in,
 
 		fragment_offset = (uint16_t)(fragment_offset +
 		    out_pkt->pkt_len - sizeof(struct rte_ipv6_hdr)
-			- sizeof(struct ipv6_extension_fragment));
+			- sizeof(struct rte_ipv6_fragment_ext));
 
 		/* Write the fragment to the output list */
 		pkts_out[out_pkt_pos] = out_pkt;
diff --git a/lib/ip_frag/rte_ipv6_reassembly.c b/lib/ip_frag/rte_ipv6_reassembly.c
index 6bc0bf792a..d4019e87e6 100644
--- a/lib/ip_frag/rte_ipv6_reassembly.c
+++ b/lib/ip_frag/rte_ipv6_reassembly.c
@@ -33,7 +33,7 @@ struct rte_mbuf *
 ipv6_frag_reassemble(struct ip_frag_pkt *fp)
 {
 	struct rte_ipv6_hdr *ip_hdr;
-	struct ipv6_extension_fragment *frag_hdr;
+	struct rte_ipv6_fragment_ext *frag_hdr;
 	struct rte_mbuf *m, *prev;
 	uint32_t i, n, ofs, first_len;
 	uint32_t last_len, move_len, payload_len;
@@ -102,7 +102,7 @@ ipv6_frag_reassemble(struct ip_frag_pkt *fp)
 	 * the main IPv6 header instead.
 	 */
 	move_len = m->l2_len + m->l3_len - sizeof(*frag_hdr);
-	frag_hdr = (struct ipv6_extension_fragment *) (ip_hdr + 1);
+	frag_hdr = (struct rte_ipv6_fragment_ext *) (ip_hdr + 1);
 	ip_hdr->proto = frag_hdr->next_header;
 
 	ip_frag_memmove(rte_pktmbuf_mtod_offset(m, char *, sizeof(*frag_hdr)),
@@ -136,7 +136,7 @@ ipv6_frag_reassemble(struct ip_frag_pkt *fp)
 struct rte_mbuf *
 rte_ipv6_frag_reassemble_packet(struct rte_ip_frag_tbl *tbl,
 	struct rte_ip_frag_death_row *dr, struct rte_mbuf *mb, uint64_t tms,
-	struct rte_ipv6_hdr *ip_hdr, struct ipv6_extension_fragment *frag_hdr)
+	struct rte_ipv6_hdr *ip_hdr, struct rte_ipv6_fragment_ext *frag_hdr)
 {
 	struct ip_frag_pkt *fp;
 	struct ip_frag_key key;
diff --git a/lib/port/rte_port_ras.c b/lib/port/rte_port_ras.c
index 403028f8d6..8508814bb2 100644
--- a/lib/port/rte_port_ras.c
+++ b/lib/port/rte_port_ras.c
@@ -186,7 +186,7 @@ process_ipv6(struct rte_port_ring_writer_ras *p, struct rte_mbuf *pkt)
 	struct rte_ipv6_hdr *pkt_hdr =
 		rte_pktmbuf_mtod(pkt, struct rte_ipv6_hdr *);
 
-	struct ipv6_extension_fragment *frag_hdr;
+	struct rte_ipv6_fragment_ext *frag_hdr;
 	uint16_t frag_data = 0;
 	frag_hdr = rte_ipv6_frag_get_ipv6_fragment_header(pkt_hdr);
 	if (frag_hdr != NULL)